> For the complete documentation index, see [llms.txt](https://docs.industryapps.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.industryapps.net/connect-to-the-platform/use-our-pre-built-sidecar.md).

# Use our Pre-built sidecar

You can download the pre-built sidecar from below

{% file src="/files/JkkRRLZDrt0Qj3SIECEQ" %}

You can execute the downloaded jar as below to register your application to the IndustryApps service registry.

```
java -jar discoveryClientSideCar-1.0.0.jar --appCode=<<Application Code>> --statusPageUrl=<<App home page/status page URL>> --hostname=<<Application hostname>>
```

***appCode*** is your App Code, which is available on publish page of your app vendor portal.

***statusPageUrl*** is your app’s landing page URL / URL for status check.

***hostname*** is the host running your app

Please refer to below screenshots for executing sidecar

![](/files/nnw2GQhlAaSYfRU2vEE1)

After a successful register using sidecar, you will be getting registration status as `204`

![](/files/UaRjVWvWqJwceg4zFGDb)

After service registry, IndustryApp platform can show new app inside the Platform

You can check the status of your app using the following URL [https://servicediscovery.uat.industryapps.net/eureka/apps/\<your\_app\_code>](https://servicediscovery.uat.industryapps.net/eureka/apps/<your_app_code>)

Check for the Status is "UP"

![](/files/725FKzhJsFqG2S4XwkS6)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.industryapps.net/connect-to-the-platform/use-our-pre-built-sidecar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
